## jxtray.connection
Class JxtConnectionManager

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  jxtray.connection.JxtConnectionManager

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class JxtConnectionManager
extends java.util.Properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`JxtConnectionManager()`

Method Summary
`void` `closeAllConnections()`
`int` `count()` Renvoi le nombre de connexion présente dans le manager ( fermée ou non )
`java.lang.Object[]` `getAllConnectionName()`
`static JxtConnectionManager` `getInstance()`
`void` `printState()`
`void` `updateDriverName(java.lang.String oldName, java.lang.String newName)`
`void` `writeXMLFile()` Enregistre les connexions dans le fichier XML

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JxtConnectionManager

    public JxtConnectionManager()

Method Detail

### getInstance

    public static JxtConnectionManager getInstance()

### closeAllConnections

    public void closeAllConnections()

### getAllConnectionName

    public java.lang.Object[] getAllConnectionName()

### count

    public int count()

  Renvoi le nombre de connexion présente dans le manager ( fermée ou non )

### writeXMLFile

    public void writeXMLFile()

  Enregistre les connexions dans le fichier XML

### printState

    public void printState()

### updateDriverName

    public void updateDriverName(java.lang.String oldName,
                                 java.lang.String newName)